umbrello: UMLRoleProperties Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
UMLRoleProperties Class Reference

`#include <umlroleproperties.h>`

Inheritance diagram for UMLRoleProperties:

## Public Member Functions
| UMLRoleProperties (QWidget *parent, UMLRole *role)
| ~UMLRoleProperties ()
void | apply ()
Public Member Functions inherited from UMLRolePropertiesBase
| UMLRolePropertiesBase (QWidget *parent)
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
UMLRole * | m_pRole
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Private Member Functions
void | constructWidget ()

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Detailed Description

Displays properties of a UMLRole in a widget which may be used as a properties page or a stand-alone dialog.

Author
  Brian Thomas brian.nosp@m..tho.nosp@m.mas@g.nosp@m.sfc..nosp@m.nasa..nosp@m.gov

## Constructor & Destructor Documentation

## ◆ UMLRoleProperties()

UMLRoleProperties::UMLRoleProperties | ( | QWidget * | parent,
|  | UMLRole * | role )

Sets up the UMLRoleProperties.

Parameters

  parent | The parent widget to the UMLRoleProperties.
  role | The UMLRole to display the properties of.

## ◆ ~UMLRoleProperties()

UMLRoleProperties::~UMLRoleProperties | ( |  | ) |

Standard deconstructor.

## Member Function Documentation

## ◆ apply()

void UMLRoleProperties::apply | ( |  | ) |

Will move information from the dialog into the object. Call when the ok or apply button is pressed.

## ◆ constructWidget()

void UMLRoleProperties::constructWidget | ( |  | ) |
| private

## Member Data Documentation

## ◆ m_pRole

UMLRole* UMLRoleProperties::m_pRole
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/umlroleproperties.h
- umbrello/dialogs/pages/umlroleproperties.cpp